#include "compat_wrappers.h"
#include "extension.h"

inline CBaseEntity *UTIL_PlayerByIndex(int num)
{
	edict_t *pEdict = PEntityOfEntIndex(num);
	if (!pEdict || pEdict->IsFree())
		return NULL;
	if (num > 0 && num <= playerhelpers->GetMaxClients()) {
		IGamePlayer *pPlayer = playerhelpers->GetGamePlayer(pEdict);
		if (!pPlayer || !pPlayer->IsConnected()) {
			return NULL;
		}
	}
	else {
		return NULL;
	}
	IServerUnknown *pUnk;
	if ((pUnk=pEdict->GetUnknown()) == NULL)
		return NULL;
	return pUnk->GetBaseEntity();
}